Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.util
Class GenctlResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.ecore.xmi.impl.XMLResourceFactoryImpl
              com.ssaglobal.generator.genctl.util.GenctlResourceFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.resource.Resource.Factory

    public class GenctlResourceFactoryImpl

extends org.eclipse.emf.ecore.xmi.impl.XMLResourceFactoryImpl

The Resource Factory associated with the package.

See Also:
  `GenctlResourceImpl`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`org.eclipse.emf.ecore.resource.Resource.Factory.Descriptor, org.eclipse.emf.ecore.resource.Resource.Factory.Registry`

Field Summary
`protected org.eclipse.emf.ecore.util.ExtendedMetaData` | `extendedMetaData`

Constructor Summary
`GenctlResourceFactoryImpl()` Creates an instance of the resource factory

Method Summary
`org.eclipse.emf.ecore.resource.Resource` | `createResource(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extendedMetaData

    protected org.eclipse.emf.ecore.util.ExtendedMetaData extendedMetaData

Constructor Detail

### GenctlResourceFactoryImpl

    public GenctlResourceFactoryImpl()

  Creates an instance of the resource factory.

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Creates an instance of the resource.

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`
  Overrides:
    `createResource` in class `org.eclipse.emf.ecore.xmi.impl.XMLResourceFactoryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD